<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="viewModel"
            type="com.impaktsoft.globeup.viewmodels.FeedbackViewModel" />

        <import type="android.view.View" />
    </data>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/round_fragment_shape"
        android:padding="10dp">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:visibility="@{viewModel.isProgressVisible ? View.GONE : View.VISIBLE}">

            <ImageView
                android:id="@+id/exist_feedback_alert"
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:layout_alignParentRight="true"
                android:onClick="@{()->viewModel.close()}"
                app:srcCompat="@drawable/ic_cross2" />

            <TextView
                android:id="@+id/title_feedback_alert"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/exist_feedback_alert"
                android:layout_centerHorizontal="true"
                android:text="@string/submit_request"
                android:textColor="@color/colorPrimaryDark"
                android:textSize="@dimen/title_size" />

            <TextView
                android:id="@+id/subtitle_feedback_alert"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/title_feedback_alert"
                android:layout_centerHorizontal="true"
                android:layout_marginTop="@dimen/activity_vertical_margin"
                android:layout_marginBottom="@dimen/activity_vertical_margin"
                android:text="@string/serve_you_better"
                android:textSize="@dimen/normal_size" />

            <TextView
                android:id="@+id/tags_title_feedback"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/subtitle_feedback_alert"
                android:layout_marginTop="@dimen/activity_horizontal_margin"
                android:layout_marginBottom="@dimen/activity_vertical_margin"
                android:text="@string/what_is_wrong"
                android:textColor="@color/colorPrimaryDark"
                android:textSize="@dimen/normal_size" />


            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/feedback_subjects_list"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/tags_title_feedback">

            </androidx.recyclerview.widget.RecyclerView>

            <TextView
                android:id="@+id/improve_question_feedback"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/feedback_subjects_list"
                android:layout_marginTop="@dimen/activity_horizontal_margin"
                android:layout_marginBottom="@dimen/activity_vertical_margin"
                android:text="@string/can_we_do_better"
                android:textColor="@color/colorPrimaryDark" />

            <EditText
                android:id="@+id/notes_edit_text_feedback"
                android:layout_width="match_parent"
                android:layout_height="100dp"
                android:layout_below="@id/improve_question_feedback"
                android:layout_marginBottom="@dimen/activity_vertical_margin"
                android:background="@drawable/round_edit_text"
                android:gravity="top"
                android:hint="@string/your_notes_hint"
                android:padding="10dp"
                android:text="@={viewModel.feedbackDescription}" />

            <Button
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:layout_below="@id/notes_edit_text_feedback"
                android:layout_marginTop="@dimen/activity_vertical_margin"
                android:background="@drawable/custom_blue_round_background"
                android:onClick="@{() -> viewModel.sendFeedback()}"
                android:text="submit"
                android:textColor="#fff" />
        </RelativeLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:visibility="@{viewModel.isProgressVisible ? View.VISIBLE : View.GONE}">

            <ProgressBar
                android:id="@+id/progressBar"
                android:layout_width="100dp"
                android:layout_height="100dp"
                android:layout_centerInParent="true" />
        </RelativeLayout>
    </RelativeLayout>

</layout>